Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Data Points

Get DataPoints
GET /dataSets/{dataSetId}/dataPoints
https://api.relesystest.net/api/v1.4/dataSets/{dataSetId}/dataPoints
Get a list of DataPoints by the DataSet Id
Scopes: relesys.api, relesys.api:read, relesys.api.kpis, relesys.api.kpis:read
URL Path
dataSetId string / guid required
Query String
dataValue double Filterable Sortable optional
departmentId string / guid Filterable optional
label string Filterable Sortable optional
timeStamp datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"label":"Highest Basket Size","timeStamp":"2020-01-19T22:00:00+00:00","value":1337.0,"departmentId":"6563423f-9fb4-4d60-bb4b-305e87fbb6cb","userId":"d114db8c-f4bb-479a-b13a-3e3882e5cb59"},{"label":"NPS","timeStamp":"2020-01-19T22:00:00+00:00","value":0.9,"departmentId":"b33afacb-edf9-4024-b14c-c94a242a2583","userId":"45b7e216-bef1-49cc-9daf-470ae2c3b5d6"}]}
object
  count integer      
  ⯈ data array[object]      
   departmentId string / guid      
   label string      
   timeStamp datetimeoffset      
   userId string / guid      
   value double      
  nextUrl string      
  previousUrl string